/*******************************************************************************
* DISCLAIMER
* This software is supplied by Renesas Electronics Corporation and is only
* intended for use with Renesas products. No other uses are authorized.
* This software is owned by Renesas Electronics Corporation and is protected
* under all applicable laws, including copyright laws.
* THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES
* REGARDING THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY,
* INCLUDING BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
* PARTICULAR PURPOSE AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY
* DISCLAIMED.
* TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS
* ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES SHALL BE LIABLE
* FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES
* FOR ANY REASON RELATED TO THIS SOFTWARE, EVEN IF RENESAS OR ITS
* AFFILIATES HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
* Renesas reserves the right, without notice, to make changes to this
* software and to discontinue the availability of this software.
* By using this software, you agree to the additional terms and
* conditions found by accessing the following link:
* http://www.renesas.com/disclaimer
*******************************************************************************/
/* Copyright (C) 2010 Renesas Electronics Corporation. All rights reserved.   */
/*******************************************************************************
* File Name : stl_clocktest.h
* Version : 2.0
* Device(s) : RL78/G14
* Tool-Chain : RL78 IAR Embedded Workbench
* OS : None
* H/W Platform : YRMCKITRL78G14
* Description : RL78 IEC Self Test Library Clock Test modules Header File               
* Operation : Defines user configuration for Clock Test modules
* Limitations : None
********************************************************************************
* History :
* 20.03.2011 V1.0 First Release
* 25.01.2012 V2.0 Definition of Capture Register address added to allow other
*                 devices to be used by changing the header file as the 
*                 capture register address can be differenet.
*                 The definition "CAPTURE_Register_Addr" defines the capture 
*                 register address used by the hardware clock test module
*******************************************************************************/


/*******************************************************************************
Macro Definitions
*******************************************************************************/
/* Hardware clock test Capture interrupt flag definition */ 
#define CAPTURE_interrupt_FLAG   IF1L.5         /* Set for RL78/G14 - TAU channel 1 input capture */
#define CAPTURE_Register_Addr    0xFFF1A       /* Set for RL78/G14 - TAU channel 1 capture register address */

/* Hardware clock test reference values */ 
#define hwMAXTIME   0x0995                      /* System Clock = 32MHz, Reference clock = LS OSc Clock (15KHz +/- 15%) */
#define hwMINTIME   0x0715                      /* System Clock = 32MHz, Reference clock = LS OSc Clock (15KHz +/- 15%) */


