/*******************************************************************************
* DISCLAIMER
* This software is supplied by Renesas Electronics Corporation and is only
* intended for use with Renesas products. No other uses are authorized.
* This software is owned by Renesas Electronics Corporation and is protected
* under all applicable laws, including copyright laws.
* THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES
* REGARDING THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY,
* INCLUDING BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
* PARTICULAR PURPOSE AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY
* DISCLAIMED.
* TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS
* ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES SHALL BE LIABLE
* FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES
* FOR ANY REASON RELATED TO THIS SOFTWARE, EVEN IF RENESAS OR ITS
* AFFILIATES HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
* Renesas reserves the right, without notice, to make changes to this
* software and to discontinue the availability of this software.
* By using this software, you agree to the additional terms and
* conditions found by accessing the following link:
* http://www.renesas.com/disclaimer
*******************************************************************************/
/* Copyright (C) 2010 Renesas Electronics Corporation. All rights reserved.   */
/*******************************************************************************
* File Name : globvar.h
* Version : 2.0
* Device(s) : RL78/G14
* Tool-Chain : RL78 IAR Embedded Workbench V1.20.x
* OS : None
* H/W Platform : YRMCKITRL78G14 Rev 2.0
* Description  : header for globvar.c 
* Operation :
* Limitations : None
*******************************************************************************
* History : DD.MM.YYYY Version Description
*         : 07.02.2012 V1.0    First Release (Prototype)
*         : 01.06.2012 V1.1    Updated prototype release to include motor control library
                               plus added build option for RL78G14 64 pin device
*         : 15.06.2012 V2.0    Production release plus rebuild for new IAR EW release
*                              modified file organisation to support object creation
******************************************************************************/


#ifndef _GLOBVAR_H
#define _GLOBVAR_H

/******************************************************************************
Includes   <System Includes> , "Project Includes"
******************************************************************************/
#include "typedefine.h"


/******************************************************************************
Macro definitions
******************************************************************************/

/* flags (use global variable flg0) */

#define	CURPI_TUN	(flg0.bit.b0 != 0)
#define	CURPI_TRI	(flg0.bit.b1 != 0)
#define	AUTO_DEMO	(flg0.bit.b2 != 0)
#define	LIBERA03	(flg0.bit.b3 != 0)
#define	LIBERA04	(flg0.bit.b4 != 0)
#define	LIBERA05	(flg0.bit.b5 != 0)
#define	LIBERA06	(flg0.bit.b6 != 0)
#define	LIBERA07	(flg0.bit.b7 != 0)

#define	NOT_CURPI_TUN	(0 == flg0.bit.b0)
#define	NOT_CURPI_TRI	(0 == flg0.bit.b1)
#define	NOT_AUTO_DEMO	(0 == flg0.bit.b2)
#define	NOT_LIBERA03	(0 == flg0.bit.b3)
#define	NOT_LIBERA04	(0 == flg0.bit.b4)
#define	NOT_LIBERA05	(0 == flg0.bit.b5)
#define	NOT_LIBERA06	(0 == flg0.bit.b6)
#define	NOT_LIBERA07	(0 == flg0.bit.b7)

#define	SET_CURPI_TUN	flg0.bit.b0 = 1;
#define	SET_CURPI_TRI	flg0.bit.b1 = 1;
#define	SET_AUTO_DEMO	flg0.bit.b2 = 1;
#define	SET_LIBERA03	flg0.bit.b3 = 1;
#define	SET_LIBERA04	flg0.bit.b4 = 1;
#define	SET_LIBERA05	flg0.bit.b5 = 1;
#define	SET_LIBERA06	flg0.bit.b6 = 1;
#define	SET_LIBERA07	flg0.bit.b7 = 1;

#define	RES_CURPI_TUN	flg0.bit.b0 = 0;
#define	RES_CURPI_TRI	flg0.bit.b1 = 0;
#define	RES_AUTO_DEMO	flg0.bit.b2 = 0;
#define	RES_LIBERA03	flg0.bit.b3 = 0;
#define	RES_LIBERA04	flg0.bit.b4 = 0;
#define	RES_LIBERA05	flg0.bit.b5 = 0;
#define	RES_LIBERA06	flg0.bit.b6 = 0;
#define	RES_LIBERA07	flg0.bit.b7 = 0;

/* buttons (use global variable buttons) */
#define BUT1_ON		(0 == buttons.bit.b2)	// P52 UP_35 IN_PUL1
#define BUT1_OFF	(buttons.bit.b2 != 0)	// P52 UP_35 IN_PUL1
#define BUT2_ON		(0 == buttons.bit.b3)	// P53 UP_36 IN_PUL2
#define BUT2_OFF	(buttons.bit.b3 != 0)	// P53 UP_36 IN_PUL2
#define BUT3_ON		(0 == buttons.bit.b4)	// P54 UP_37 IN_PUL3
#define BUT3_OFF	(buttons.bit.b4 != 0)	// P54 UP_37 IN_PUL3
#define BUT4_ON		(0 == buttons.bit.b5)	// P55 UP_38 IN_PUL4
#define BUT4_OFF	(buttons.bit.b5 != 0)	// P55 UP_38 IN_PUL4

/******************************************************************************
Variable Externs
******************************************************************************/

extern bool g_resultBool;

/* General Variables definitions used by support functions */
extern int16_t g_i;
extern int16_t g_I;

/* Variable definitions used for CRC Tests modules */
extern uint16_t g_crc;
extern uint16_t g_reference_crc;
extern uint16_t g_crcASM;
extern uint8_t __far *g_pStAdr;
extern uint32_t g_crc_length;

extern abyte_t
	flg0,
	buttons;

#endif /* _GLOBVAR_H */
