/*******************************************************************************
* DISCLAIMER
* This software is supplied by Renesas Electronics Corporation and is only
* intended for use with Renesas products. No other uses are authorized.
* This software is owned by Renesas Electronics Corporation and is protected
* under all applicable laws, including copyright laws.
* THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES
* REGARDING THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY,
* INCLUDING BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
* PARTICULAR PURPOSE AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY
* DISCLAIMED.
* TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS
* ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES SHALL BE LIABLE
* FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES
* FOR ANY REASON RELATED TO THIS SOFTWARE, EVEN IF RENESAS OR ITS
* AFFILIATES HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
* Renesas reserves the right, without notice, to make changes to this
* software and to discontinue the availability of this software.
* By using this software, you agree to the additional terms and
* conditions found by accessing the following link:
* http://www.renesas.com/disclaimer
*******************************************************************************/
/* Copyright (C) 2010 Renesas Electronics Corporation. All rights reserved.   */
/*******************************************************************************
* File Name : mask.h
* Version : 2.0
* Device(s) : RL78/G14
* Tool-Chain : RL78 IAR Embedded Workbench V1.20.x
* OS : None
* H/W Platform : YRMCKITRL78G14 Rev 2.0
* Description  : general use mask defines
* Operation :
* Limitations : None
*******************************************************************************
* History : DD.MM.YYYY Version Description
*         : 07.02.2012 V1.0    First Release (Prototype)
*         : 01.06.2012 V1.1    Updated prototype release to include motor control library
                               plus added build option for RL78G14 64 pin device
*         : 15.06.2012 V2.0    Production release plus rebuild for new IAR EW release
*                              modified file organisation to support object creation
******************************************************************************/


#ifndef _MASK_H
#define _MASK_H

/******************************************************************************
Inclusions
******************************************************************************/
#include "typedefine.h"

/******************************************************************************
Macro definitions
******************************************************************************/

#define SET0		((uint8_t)(0x01))
#define SET1		((uint8_t)(0x02))
#define SET2		((uint8_t)(0x04))
#define SET3		((uint8_t)(0x08))
#define SET4		((uint8_t)(0x10))
#define SET5		((uint8_t)(0x20))
#define SET6		((uint8_t)(0x40))
#define SET7		((uint8_t)(0x80))

#define CLR0		((uint8_t)(0xFE))
#define CLR1		((uint8_t)(0xFD))
#define CLR2		((uint8_t)(0xFB))
#define CLR3		((uint8_t)(0xF7))
#define CLR4		((uint8_t)(0xEF))
#define CLR5		((uint8_t)(0xDF))
#define CLR6		((uint8_t)(0xBF))
#define CLR7		((uint8_t)(0x7F))

#define SET012		((uint8_t)(0x07))

#define SET0123		((uint8_t)(0x0F))
#define SET4567		((uint8_t)(0xF0))

#define CLR0123		((uint8_t)(0xF0))
#define CLR4567		((uint8_t)(0x0F))

#define WSET0		((uint16_t)(0x0001))
#define WSET1		((uint16_t)(0x0002))
#define WSET2		((uint16_t)(0x0004))
#define WSET3		((uint16_t)(0x0008))
#define WSET4		((uint16_t)(0x0010))
#define WSET5		((uint16_t)(0x0020))
#define WSET6		((uint16_t)(0x0040))
#define WSET7		((uint16_t)(0x0080))
#define WSET8		((uint16_t)(0x0100))
#define WSET9		((uint16_t)(0x0200))
#define WSETA		((uint16_t)(0x0400))
#define WSETB		((uint16_t)(0x0800))
#define WSETC		((uint16_t)(0x1000))
#define WSETD		((uint16_t)(0x2000))
#define WSETE		((uint16_t)(0x4000))
#define WSETF		((uint16_t)(0x8000))

#define WCLR0		((uint16_t)(0xFFFE))
#define WCLR1		((uint16_t)(0xFFFD))
#define WCLR2		((uint16_t)(0xFFFB))
#define WCLR3		((uint16_t)(0xFFF7))
#define WCLR4		((uint16_t)(0xFFEF))
#define WCLR5		((uint16_t)(0xFFDF))
#define WCLR6		((uint16_t)(0xFFBF))
#define WCLR7		((uint16_t)(0xFF7F))
#define WCLR8		((uint16_t)(0xFEFF))
#define WCLR9		((uint16_t)(0xFDFF))
#define WCLRA		((uint16_t)(0xFBFF))
#define WCLRB		((uint16_t)(0xF7FF))
#define WCLRC		((uint16_t)(0xEFFF))
#define WCLRD		((uint16_t)(0xDFFF))
#define WCLRE		((uint16_t)(0xBFFF))
#define WCLRF		((uint16_t)(0x7FFF))

#define WSL0123		((uint16_t)(0x000F))
#define WSL4567		((uint16_t)(0x00F0))
#define WSH0123		((uint16_t)(0x0F00))
#define WSH4567		((uint16_t)(0xF000))

#endif /* _MASK_H */

