/*******************************************************************************
* DISCLAIMER
* This software is supplied by Renesas Electronics Corporation and is only
* intended for use with Renesas products. No other uses are authorized.
* This software is owned by Renesas Electronics Corporation and is protected
* under all applicable laws, including copyright laws.
* THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES
* REGARDING THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY,
* INCLUDING BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
* PARTICULAR PURPOSE AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY
* DISCLAIMED.
* TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS
* ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES SHALL BE LIABLE
* FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES
* FOR ANY REASON RELATED TO THIS SOFTWARE, EVEN IF RENESAS OR ITS
* AFFILIATES HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
* Renesas reserves the right, without notice, to make changes to this
* software and to discontinue the availability of this software.
* By using this software, you agree to the additional terms and
* conditions found by accessing the following link:
* http://www.renesas.com/disclaimer
*******************************************************************************/
/* Copyright (C) 2010 Renesas Electronics Corporation. All rights reserved.   */
/*******************************************************************************
* File Name : stl.h
* Version : 1.0
* Device(s) : RL78/G14
* Tool-Chain : RL78 IAR Embedded Workbench V1.10.x
* OS : None
* H/W Platform : YRMCKITRL78G14 V2.0
* Description : RL78 IEC Self Test Library Header File
* Operation :
* Limitations : None
********************************************************************************
* History :
* 30.05.2011 V1.0 First Release
* 01.06.2012 V1.1 Updated prototype release to include motor control library
                  plus added build option for RL78G14 64 pin device
* 15.6.2012  V2.0 Production release plus rebuild for new IAR EW release
*                 modified project organisation to support object creation
*******************************************************************************/


#ifndef STL_H_INCLUDED
#define STL_H_INCLUDED

/******************************************************************************
Includes <System Includes> , Project Includes
******************************************************************************/
#include <stdint.h>

/*******************************************************************************
Macro Definitions
*******************************************************************************/


#ifdef __IAR_SYSTEMS_ICC__
/*******************************************************************************
Typedef definitions
*******************************************************************************/

/* CRC test range variable structure */ 
typedef struct {
   uint32_t length;
   uint32_t start_address;
} CHECKSUM_CRC_TEST_AREA;


/*******************************************************************************
Imported Function Prototypes
*******************************************************************************/

/* Register tests */
extern bool stl_RL78_registertest (void);
extern bool stl_RL78_registertest_psw (void);
extern bool stl_RL78_registertest_stack (void);
extern bool stl_RL78_registertest_cs (void);
extern bool stl_RL78_registertest_es (void);


/* Clock tests */
extern bool stl_RL78_hw_clocktest (void);
extern bool stl_RL78_sw_clocktest (void);

/* RAM tests */
extern bool stl_RL78_march_c(uint8_t __far *addr, uint16_t num);
extern bool stl_RL78_march_x(uint8_t __far *addr, uint16_t num);


/* Hardware Peripheral CRC test */
extern uint16_t stl_RL78_peripheral_crc(uint16_t gcrc, CHECKSUM_CRC_TEST_AREA *p);
uint16_t reference_crc_calculation(uint16_t crc_input, uint32_t length, uint8_t __far *p);


#endif /* __IAR_SYSTEMS_ICC__ */
#endif /* STL_H_INCLUDED      */
