/*******************************************************************************
* DISCLAIMER
* This software is supplied by Renesas Electronics Corporation and is only
* intended for use with Renesas products. No other uses are authorized.
* This software is owned by Renesas Electronics Corporation and is protected
* under all applicable laws, including copyright laws.
* THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES
* REGARDING THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY,
* INCLUDING BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
* PARTICULAR PURPOSE AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY
* DISCLAIMED.
* TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS
* ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES SHALL BE LIABLE
* FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES
* FOR ANY REASON RELATED TO THIS SOFTWARE, EVEN IF RENESAS OR ITS
* AFFILIATES HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
* Renesas reserves the right, without notice, to make changes to this
* software and to discontinue the availability of this software.
* By using this software, you agree to the additional terms and
* conditions found by accessing the following link:
* http://www.renesas.com/disclaimer
*******************************************************************************/
/* Copyright (C) 2010 Renesas Electronics Corporation. All rights reserved.   */
/*******************************************************************************
* File Name : typedefine.h
* Version : 2.0
* Device(s) : RL78/G14
* Tool-Chain : RL78 IAR Embedded Workbench V1.20.x
* OS : None
* H/W Platform : YRMCKITRL78G14 Rev 2.0
* Description  : types definitions
* Operation :
* Limitations : None
*******************************************************************************
* History : DD.MM.YYYY Version Description
*         : 07.02.2012 V1.0    First Release (Prototype)
*         : 01.06.2012 V1.1    Updated prototype release to include motor control library
                               plus added build option for RL78G14 64 pin device
*         : 15.06.2012 V2.0    Production release plus rebuild for new IAR EW release
*                              modified project organisation to support object creation
******************************************************************************/

#ifndef _TYPEDEFINE_H
#define _TYPEDEFINE_H


/******************************************************************************
Includes   <System Includes> , "Project Includes"
******************************************************************************/
#include <stdint.h>
#include <stdbool.h>

/******************************************************************************
* Typedef definitions
******************************************************************************/

/******************************************************************************
*	char, signed char		    1 byte	-128:+127
*	unsigned char			    1 byte	0:255
*	short, signed short		    2 bytes	-32768:+32767
*	unsigned short			    2 bytes	0:65535
*	int, signed int, long, signed long  4 bytes	-2147483648:+2147483647
*	unsigned int, unsigned long	    4 bytes	0:4294967295
******************************************************************************/

/* Applilet aliases of integer types */
typedef	unsigned long	ULONG;
typedef	signed long	SLONG;
typedef	unsigned int	UINT;
typedef	signed int	SINT;
typedef	unsigned short	USHORT;
typedef	signed short	SHORT;
typedef	unsigned char	UCHAR;
typedef	signed char	SCHAR;
typedef	unsigned char	BOOL;
typedef	unsigned short	MD_STATUS;

/* ABYTE definition */
#ifndef ABYTE
	#define ABYTE
	typedef union{
		unsigned char byte;
		struct{
			unsigned char	b0:1;
			unsigned char	b1:1;
			unsigned char	b2:1;
			unsigned char	b3:1;
			unsigned char	b4:1;
			unsigned char	b5:1;
			unsigned char	b6:1;
			unsigned char	b7:1;
		}					bit;
	}	abyte_t;
#endif

/* AWORD definition */
#ifndef AWORD
	#define AWORD
	typedef union{
		unsigned short  word;
		struct{
			unsigned char	l;
			unsigned char	h;
		}					byte;
                
		struct{
			unsigned char	b0:1;
			unsigned char	b1:1;
			unsigned char	b2:1;
			unsigned char	b3:1;
			unsigned char	b4:1;
			unsigned char	b5:1;
			unsigned char	b6:1;
			unsigned char	b7:1;
			unsigned char	b8:1;
			unsigned char	b9:1;
			unsigned char	b10:1;
			unsigned char	b11:1;
			unsigned char	b12:1;
			unsigned char	b13:1;
			unsigned char	b14:1;
			unsigned char	b15:1;
		}					bit;
	}	aword_t;
#endif

#endif /* _TYPEDEFINE_H */
